<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" lang="" xml:lang="">
<head>
  <meta charset="utf-8" />
  <meta name="generator" content="pandoc" />
  <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=yes" />
  <title>Cacti – Automation Tree Rules</title>
  <style type="text/css">
      code{white-space: pre-wrap;}
      span.smallcaps{font-variant: small-caps;}
      span.underline{text-decoration: underline;}
      div.column{display: inline-block; vertical-align: top; width: 50%;}
  </style>
  <link rel="stylesheet" href="Cacti-Github.css" />
</head>
<body>
<h1 id="automation-tree-rules">Automation Tree Rules</h1>
<p>This section will describe <strong>Tree Rules</strong> in Cacti.</p>
<p>Tree rules allow Automation to bunch up devices based on matches on rules we come up with you can say bunch all Cisco devices on to a Cisco tree. Or if you have a site where all of the hostnames start with siteb you can have a site b tree etc see below for some examples.</p>
<p>To get started you will need to create a Tree rule on the top right click the + to start a new rule you are also able to duplicate rules to make it easier as well.</p>
<p><img src="images/automation-tree-rules.png" alt="Tree Rules" /></p>
<p><img src="images/automation-tree-rules-edit1.png" alt="Tree Rules Edit" /></p>
<p><img src="images/automation-tree-rules-edit2.png" alt="Tree Rules Item Edit" /></p>
<p>We need a way to tell automation what device we are looking for in the example above we are looking for a device with the hostname Linux this is done via a REGEX any perl based REGEX can be used.</p>
<p>To test this REGEX on existing devices you can click the show eligible Objects this will check the Devices currently in cacti for a match.</p>
<p><img src="images/automation-tree-rules-edit4.png" alt="Tree Rules Preview" /></p>
<p>Once a device is a match it will be placed on the default tree. To change which tree the device will be placed on simply select the tree name from the dropdown list.</p>
<p><img src="images/automation-tree-rules-edit3.png" alt="Tree Rules Item Edit" /></p>
<p>We also have the option to auto create a tree based on our rule in this case a new tree Named Linux will be created if it does not already exist.</p>
<h3 id="video-walkthrough">Video Walkthrough</h3>
<p><a href="https://youtu.be/yxO-CgaeFNc" title="Video Tutorial"><img src="http://img.youtube.com/vi/yxO-CgaeFNc/0.jpg" alt="Video Tutorial " /></a></p>
<hr />
<p><copy>Copyright (c) 2004-2021 The Cacti Group</copy></p>
</body>
</html>
